CREATE TABLE loy_attrib_int (
    BATCH_ID                 NUMBER(18, 0) ,
    INTERFACE_ROW_ID         NUMBER(18, 0) ,
    IMPORT_STATUS_CODE       VARCHAR2(120) ,
    ACTION_CODE              VARCHAR2(120) ,
    INTERNAL_ACTION_CODE     VARCHAR2(120) ,
    FILE_RECORD_NUM          NUMBER(18, 0) ,
    INTERNAL_ATTRIB_OVN      NUMBER(9, 0)  ,
    FILE_NAME_SYSTASK_ID     NUMBER(18, 0) ,
    REQUEST_ID               NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    PROMO_NAME               VARCHAR2(200) ,
    LOY_ATTRIB_ID            NUMBER(18, 0) ,
    ATTRIB_DEFN_ID           NUMBER(18, 0) ,
    ATTR_OBJECT_CODE         VARCHAR2(120) ,
    ATTR_TYPE_CODE           VARCHAR2(120) ,
    ATTR_INTERNAL_NAME       VARCHAR2(300) ,
    VALUE                    VARCHAR2(1000),
    MEMBER_ID                NUMBER(18, 0) ,
    MEM_NUM                  VARCHAR2(120) ,
    PROGRAM_NAME             VARCHAR2(200) ,
    BATCH_ID                 NUMBER(18, 0) ,
    INTERFACE_ROW_ID         NUMBER(18, 0) ,
    IMPORT_STATUS_CODE       VARCHAR2(120) ,
    ACTION_CODE              VARCHAR2(120) ,
    INTERNAL_ACTION_CODE     VARCHAR2(120) ,
    FILE_RECORD_NUM          NUMBER(18, 0) ,
    INTERNAL_ATTRIB_OVN      NUMBER(9, 0)  ,
    FILE_NAME_SYSTASK_ID     NUMBER(18, 0) ,
    REQUEST_ID               NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    PROMO_NAME               VARCHAR2(200) ,
    LOY_ATTRIB_ID            NUMBER(18, 0) ,
    ATTRIB_DEFN_ID           NUMBER(18, 0) ,
    ATTR_OBJECT_CODE         VARCHAR2(120) ,
    ATTR_TYPE_CODE           VARCHAR2(120) ,
    ATTR_INTERNAL_NAME       VARCHAR2(300) ,
    VALUE                    VARCHAR2(1000),
    MEMBER_ID                NUMBER(18, 0) ,
    MEM_NUM                  VARCHAR2(120) ,
    PROGRAM_NAME             VARCHAR2(200) ,
    CONSTRAINT pk_loy_attrib_int PRIMARY KEY (BATCH_ID, INTERFACE_ROW_ID, BATCH_ID, INTERFACE_ROW_ID)
);
